variables:
  UCD_AUTH_TOKEN: "4fdac9bf-4c18-4726-b675-2f3ab85c4882"
  UCD_WEB_URL: "https://52.117.32.21:8444"
  UDCLIENT_HOME: "/builds/rslangehennig1/udclient-7.1.0.1"
  DEPLOY_JSON_HOME: "/builds/rslangehennig1/apiconnect-contacts/contacts/apiconnect-contacts/urbancode"

build:
  stage: build
  only:
    - main
  script:
    - echo "Perform build steps for API"
    - apt update -y && apt upgrade -y
    - apt install -y git
    - git --version
    - apt install -y default-jdk
    - java -version
    - export JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64
    - git clone https://github.com/kriru/firstJava.git/
    - ls -al && pwd
    - cd firstJava
    - javac HelloWorld.java
    - java HelloWorld 
    - echo "Build Completed"

deploy_and_test:
  stage: deploy
  only:
    - main
  script:
    - echo "Integrate with IBM UrbanCode Deploy to trigger deployment"
    - apt update -y && apt upgrade -y
    - apt install -y git
    - git --version
    - mkdir contacts && cd contacts
    - git clone https://gitlab.com/rslangehennig1/apiconnect-contacts.git
    - ls -al && pwd
    - cd apiconnect-contacts
    - ls -al
    - cd /builds/rslangehennig1
    - git clone https://github.com/rslangehennig/udclient-7.1.0.1.git
    - ls -al 
    - cd udclient-7.1.0.1
    - chmod a+x udclient
    - pwd && ls -al
    - apt install -y default-jdk
    - java -version
    - export JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64
    - cd $UDCLIENT_HOME
    - ./udclient -weburl $UCD_WEB_URL -authtoken $UCD_AUTH_TOKEN createVersion -component API-Contacts-YAML -name $CI_JOB_ID
    - ./udclient -weburl $UCD_WEB_URL -authtoken $UCD_AUTH_TOKEN addVersionFiles -component API-Contacts-YAML -version $CI_JOB_ID -base /builds/rslangehennig1/apiconnect-contacts/contacts/apiconnect-contacts
    - ./udclient -weburl $UCD_WEB_URL -authtoken $UCD_AUTH_TOKEN requestApplicationProcess $DEPLOY_JSON_HOME/deploy.json
